Stormbaan Coureur (The game formerly known as Sturmbahnfahrer)
version 2.1.5 -- the kynde edition
(c)2006,2007,2008 by Bram Stolk.
http://bram.creative4vision.nl/stormbaancoureur/

Please read the file JOYSTICKS if you want to play this game with your gamepad.

I am not accepting donations, bar one: Please consider donating the 
stormbaancoureur.com domain name. Just register it, and point it to the
home page. I had invested in sturmbahnfahrer.com which I had to drop because
of the bad taste pun.

For keyboard controls, you can customize the key mapping by copying the file
.stormbaancoureur.keys.example to $HOME/.stormbaancoureur.keys and then editting
it.

Default keyboard controls:

, .		steer
a		accelerator
z		brake/reverse
b or TAB	e-brake
SPACE  		action button

Gamepad controls:

left stick	steer
left shoulder	brake/reverse
right shoulder	accelerate
button 1	action button
button 2	e-brake


Strategy hints:

-When parked on a cart of the Ferris Wheel, use E-brake to prevent
 sliding off, as opposed to normal brake. The normal brake function
 may lead to selecting reverse gear, the E-brake will not.

-When reaching the far end on the carpet slide, make sure your brakes
 are off, so you will free-wheel onto terra firma.

-If you find stormbaan coureur too difficult, you can take the easy
 way out: pick up the respawn points marked by the 'floppy disks'.
 It will make you respawn further down the track, but it will also
 add 60 penalty seconds to your score.

-If you get stuck, just hold down the gas, the game will detect a
 non moving revving car, and try to recover by bumping you upwards.

environment variables:
PLODE_NO_SHADOWS         when set, do not use shadow mapping.
PLODE_LOW_DETAIL         when set, use low detail models.
PLODE_NO_SHADOWS         when set, no shadow mapping.
PLODE_NO_DISPLAY_LISTS   when set, disable use of OpenGL displaylists.
PLODE_NO_SOUND           when set, don't try to use ALSA sound.
PLODE_DATADIR            the directory that contains the data files.
PLODE_DISPLAYMODE        set to monoscopic, quadbufferstereoscopic or
                         passivestereoscopic

If you successfully negotiate the stormbaan, your time will be sent to
leaderboard.sturmbahnfahrer.com using UDP. If you are not on-line, the
datagram is simply lost, so that it has no impact on the game. If the 
datagram does arrive, the leaderbord service will send you back a datagram
that lists the leaders on the board.

Stereo Scopic rendering:

Version 1.3 of sturmbahnfahrer, dubbed the VR edition, features stereo-
scopic visuals. The stereoscopic mode is triggered by setting the
PLODE_DISPLAYMODE environment variable. It supports two different 
approaches to stereoscopy. There is the quad-buffered stereoscopic mode,
which requires support from your OpenGL implementation, and typically
requires a 3-pin stereo connector on your graphics card to which you
connect shutter glasses. Additionally, passive stereo setups are supported
whereby both halves of the screen are projected by two different projectors
that each have a polarizing filter. Unsupported are currently top-bottom
stereo setups, and passive setups where you have multiple X11 screens
or displays. Thus a setup with :0.0 and :0.1 will not work. When running
in passive stereo mode, you will typically be using nVidia's TwinView
capability running at e.g. 2048x768 or 2560x1024 resolutions. I've tweaked
the focal distance and near-clipping-plane, so that it looks good when 
standing 1m20 away from a 2m50 wide screen. On small monitors, it may pay 
to tweak some values. For extra 'Wow!' press the '-' key a few times, to
bring the car closer to the camera. Sturmbahnfahrer uses proper off-axis
projection with both stuff going into, and stuff coming out of the screen.


Send your all your comments, be it suggestions, bug-reports, patches, praise
or criticism, to:

b.stolk at gmail.com

